Bug 41476 - tmpwatch can't handle files larger than 2GB
tmpwatch can't handle files larger than 2GB
Product: Red Hat Linux
Classification: Retired
Component: tmpwatch (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
David Lawrence
: 42672 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-05-20 23:44 EDT by Hao Li
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-20 23:45:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hao Li 2001-05-20 23:44:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3 i686; Nav)

Description of problem:
When a directory has file(s) larger than 2GB tmpwatch will fail with 

error: failed to lstat /home/tmp//big: Value too large for defined data

How reproducible:

Steps to Reproduce:
1. Create a file larger than 2GB (eg. dd if=/dev/zero of=big bs=1024k
2. Use tmpwatch to scratch the directory where this file resides.

Actual Results:  % /usr/sbin/tmpwatch --mtime 1 /home/tmp/
error: failed to lstat /home/tmp//big: Value too large for defined data

Additional info:

Recompiling this RPM with "-D_FILE_OFFSET_BITS=64" fixes the problem. The
same problem is present in tmpwatch for earlier RedHat versions as well.

--- tmpwatch.spec.orig  Sun May 20 20:44:04 2001
+++ tmpwatch.spec       Sun May 20 20:44:14 2001
@@ -20,7 +20,7 @@
 %setup -q
 rm -rf %{buildroot}
Comment 1 Preston Brown 2001-07-02 14:13:56 EDT
changed in 2.7.2 and later.
Comment 2 Preston Brown 2001-07-02 14:14:17 EDT
*** Bug 42672 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.